## anjuta-encodings

anjuta-encodings

## Functions

AnjutaEncoding * | anjuta_encoding_copy ()
void | anjuta_encoding_free ()
const AnjutaEncoding * | anjuta_encoding_get_from_charset ()
const AnjutaEncoding * | anjuta_encoding_get_from_index ()
gchar * | anjuta_encoding_to_string ()
const gchar * | anjuta_encoding_get_name ()
const gchar * | anjuta_encoding_get_charset ()
const AnjutaEncoding * | anjuta_encoding_get_utf8 ()
const AnjutaEncoding * | anjuta_encoding_get_current ()

## Object Hierarchy

        GBoxed
        ╰── AnjutaEncoding

## Description

## Functions

### anjuta_encoding_copy ()

    AnjutaEncoding *
    anjuta_encoding_copy (const AnjutaEncoding *enc);

Makes a copy of the given encoding. This function is used by language bindings.

#### Parameters

enc | a AnjutaEncoding. |

#### Returns

a new AnjutaEncoding.

### anjuta_encoding_free ()

    void
    anjuta_encoding_free (AnjutaEncoding *enc);

Frees the resources allocated by the given encoding. This function is used by language bindings.

#### Parameters

enc | a AnjutaEncoding. |

### anjuta_encoding_get_from_charset ()

    const AnjutaEncoding *
    anjuta_encoding_get_from_charset (const gchar *charset);

### anjuta_encoding_get_from_index ()

    const AnjutaEncoding *
    anjuta_encoding_get_from_index (gint index);

### anjuta_encoding_to_string ()

    gchar *
    anjuta_encoding_to_string (const AnjutaEncoding *enc);

### anjuta_encoding_get_name ()

    const gchar *
    anjuta_encoding_get_name (const AnjutaEncoding *enc);

### anjuta_encoding_get_charset ()

    const gchar *
    anjuta_encoding_get_charset (const AnjutaEncoding *enc);

### anjuta_encoding_get_utf8 ()

    const AnjutaEncoding *
    anjuta_encoding_get_utf8 (void);

### anjuta_encoding_get_current ()

    const AnjutaEncoding *
    anjuta_encoding_get_current (void);

## Types and Values